Bug 151094 - redhat-config-soundcard behaves differently for FC3 x86 and x86_64
redhat-config-soundcard behaves differently for FC3 x86 and x86_64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-14 15:23 EST by Colin Coates
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-12 03:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Coates 2005-03-14 15:23:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
I have been installing and re-installing Fedora Core 3 onto my
Fujitsu-Siemens A1640 notebook (AMD Athlon64 3400+, 1Gb of RAM & 80 Gb
hardisk) for most of the weekend; I have been alternating between the
FC3 install DVDs for x86 and x86_64. 

My observation about redhat-sound-config is as follows:
1. During installation (and subsequently), redhat-sound-config for
x86_64 FC3 reports my soundcard as Vendor=Silicon, Model=Integrated
Systems [SiS] Sound Controller, Module=snd-intel8x0, and clicking the
"Play test sound" gives a perfect three-chord performance.

2. During installation (and subsequently), redhat-sound-config for x86
reports Vendor, Model and Module  as above, but clicking the "Play
test sound" *does not produce any sound*! I do not get any sound from
Gnome apps either.

So, why is x86 FC3 silent on my machine, but x86_64 FC3 is okay?

I tried comparing the /etc/modprobe.config files but they look the
same to me.
I tried running alsamixer and looking at the settings- they appear the
same for each install; alsamixer reports card=SiS SI7012, chip=Realtek
ALC655 rev 0, Item=External Amplifier.

So, I checked /etc/alsa/cards/SI7018.conf,
/etc/alsa/cards/SI7018/sndoc-mixer.alisp and
/etc/alsa/cards/SI7018/sndop-mixer.alisp; these files appear to be
identical for both x86 and x86_64 installs. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC3 x86_64 DVD edition onto Fujitsu-Siemens Amilo A1640
notebook computer.
2. Check configuration of soundcard.
3. Install FC3 x86 DVD edition onto Fujitsu-Siemens Amilo A1640
notebook computer.
4. Check configuration of soundcard.
    

Actual Results:  1. During installation (and subsequently),
redhat-sound-config for x86_64 FC3 reports my soundcard as
Vendor=Silicon, Model=Integrated Systems [SiS] Sound Controller,
Module=snd-intel8x0, and clicking the "Play test sound" gives a
perfect three-chord performance.

2. During installation (and subsequently), redhat-sound-config for x86
reports Vendor, Model and Module  as above, but clicking the "Play
test sound" *does not produce any sound*! I do not get any sound from
Gnome apps either.

Expected Results:  During installation (and subsequently),
redhat-sound-config for *both* x86_64 and x86 FC3 reports soundcard as
Vendor=Silicon, Model=Integrated Systems [SiS] Sound Controller,
Module=snd-intel8x0, and clicking the "Play test sound" gives a
perfect three-chord performance.

Additional info:

Using Up2Date to install the latest version of redhat-config-soundcard
does not fix the problem.
Comment 1 Colin Coates 2005-03-14 16:02:01 EST
This bug report is very similar to #137637.
Comment 2 Bastien Nocera 2005-03-15 04:47:31 EST
Do you get any errors on the command-line? Is there a channel that you
need to unmute (using alsamixer for example) in order to get sound out
of the speakers on the x86 version? Does playing back a .wav using
aplay work? Is esd running in the background?
Comment 3 Martin Stransky 2005-06-21 09:40:20 EDT
Have you tried the aplay utility on x86?

Note You need to log in before you can comment on or make changes to this bug.